Package org.gradle.api.plugins

## Class ApplicationPluginConvention

- java.lang.Object
- - org.gradle.api.plugins.ApplicationPluginConvention

-     public abstract class ApplicationPluginConvention
      extends Object

  The `Convention` used for configuring the `ApplicationPlugin`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ApplicationPluginConvention()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract Iterable<String>` | `getApplicationDefaultJvmArgs()` | Array of string arguments to pass to the JVM when running the application
    `abstract CopySpec` | `getApplicationDistribution()` | The specification of the contents of the distribution.
    `abstract String` | `getApplicationName()` | The name of the application.
    `abstract String` | `getExecutableDir()` | Directory to place executables in
    `abstract String` | `getMainClassName()` | The fully qualified name of the application's main class.
    `abstract Project` | `getProject()` |
    `abstract void` | `setApplicationDefaultJvmArgs​(Iterable<String> applicationDefaultJvmArgs)` | Array of string arguments to pass to the JVM when running the application
    `abstract void` | `setApplicationDistribution​(CopySpec applicationDistribution)` |
    `abstract void` | `setApplicationName​(String applicationName)` | The name of the application.
    `abstract void` | `setExecutableDir​(String executableDir)` | Directory to place executables in
    `abstract void` | `setMainClassName​(String mainClassName)` | The fully qualified name of the application's main class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationPluginConvention

          public ApplicationPluginConvention()

  - ### Method Detail

    - #### getApplicationName

          public abstract String getApplicationName()

      The name of the application.

    - #### setApplicationName

          public abstract void setApplicationName​(String applicationName)

      The name of the application.

    - #### getMainClassName

          public abstract String getMainClassName()

      The fully qualified name of the application's main class.

    - #### setMainClassName

          public abstract void setMainClassName​(String mainClassName)

      The fully qualified name of the application's main class.

    - #### getApplicationDefaultJvmArgs

          public abstract Iterable<String> getApplicationDefaultJvmArgs()

      Array of string arguments to pass to the JVM when running the application

    - #### setApplicationDefaultJvmArgs

          public abstract void setApplicationDefaultJvmArgs​(Iterable<String> applicationDefaultJvmArgs)

      Array of string arguments to pass to the JVM when running the application

    - #### getExecutableDir

          public abstract String getExecutableDir()

      Directory to place executables in
      Since:
        4.5

    - #### setExecutableDir

          public abstract void setExecutableDir​(String executableDir)

      Directory to place executables in
      Since:
        4.5

    - #### getApplicationDistribution

          public abstract CopySpec getApplicationDistribution()

      The specification of the contents of the distribution.

      Use this `CopySpec` to include extra files/resource in the application distribution.

           apply plugin: 'application'

           applicationDistribution.from("some/dir") {
             include "*.txt"
           }

      Note that the application plugin pre configures this spec to; include the contents of "`src/dist`", copy the application start scripts into the "`bin`" directory, and copy the built jar and its dependencies into the "`lib`" directory.

    - #### setApplicationDistribution

          public abstract void setApplicationDistribution​(CopySpec applicationDistribution)

    - #### getProject

          public abstract Project getProject()